MATE-SESSION-INHIB(1)

NAME
mate-session-inhibit - inhibit mate-session functionality

SYNOPSIS

mate-session-inhibit [OPTION...] {COMMAND}

DESCRIPTION

mate-session-inhibit can inhibit certain mate-session functionality while executing the given COMMAND. To achieve this, it calls the Inhibit() method of the mate-session D-Bus API and creates an inhibitor. The inhibitor is automatically removed when mate-session-inhibit exits.

A typical use case is to prevent the session from going idle (and thus locking the screen) while a movie player is running.

OPTIONS

-h, --help
    print help and exit

--version
    print version information and exit

--app-id ID
    The application id to use when calling the mate-session Inhibit() method. If this option is not specified, "unknown" is used.

--reason REASON
    A human-readable reason to pass along when calling the mate-session Inhibit() method. If this option is not specified, "not specified" is used.

--inhibit ARG
    ARG specifies the things to inhibit, as a colon-separated list. The possible values are logout, switch-user, suspend, idle, automount. If this option is used more than once, the values are combined. If this option is not specified, "idle" is assumed.

SEE ALSO

systemd-inhibit(1)